=== src/sys/linux/graph/layer0/CMakeLists.txt ===
add_subdirectory (fallback)
add_subdirectory (sihaHLS)
add_subdirectory (softIO)

collect (PROJECT_LIB_HEADERS shellDriver.h)
collect (PROJECT_LIB_HEADERS uiomap.h)
collect (PROJECT_LIB_HEADERS queue.h)
collect (PROJECT_LIB_HEADERS xrtbuffer.h)
collect (PROJECT_LIB_HEADERS dm.h)
collect (PROJECT_LIB_HEADERS nodebug.h)
#collect (PROJECT_LIB_HEADERS slotManager.h)
collect (PROJECT_LIB_HEADERS uio.h)
collect (PROJECT_LIB_HEADERS siha.h)
collect (PROJECT_LIB_HEADERS utils.h)

collect (PROJECT_LIB_SOURCES queue.c)
collect (PROJECT_LIB_SOURCES xrtbuffer.c)
collect (PROJECT_LIB_SOURCES siha.c)
#collect (PROJECT_LIB_SOURCES slotManager.c)
collect (PROJECT_LIB_SOURCES uio.c)
collect (PROJECT_LIB_SOURCES utils.c)
collect (PROJECT_LIB_SOURCES shellDriver.c)
