=== debian/changelog ===
dfx-mgr (2022.1-0ubuntu0~xlnx4) jammy; urgency=medium

  * Add patch dfx-mgrd-fix-memory-leaks-remove-dead-code, cherry-picked
    from upstream dd5071d; LP: #1973567.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 08 Jun 2022 12:43:12 +0000

dfx-mgr (2022.1-0ubuntu0~xlnx3) jammy; urgency=medium

  * Set default firmware to the Kria 26x starter kits.
    - Add /etc/dfx-mrg/default_firmware with "k26-starter-kits".
    - Recommend the xlnx-default-bitstreams package.
  * Set myself as Maintainer and move John Toomey to Uploaders.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 10 May 2022 14:20:40 +0000

dfx-mgr (2022.1-0ubuntu0~xlnx2) jammy; urgency=medium

  * Add default config and update service file

 -- John Toomey <john.toomey@amd.com>  Fri, 22 Apr 2022 09:08:26 +0000

dfx-mgr (2022.1-0ubuntu0~xlnx1) jammy; urgency=medium

  * New upstream release.

 -- John Toomey <john.toomey@amd.com>  Thu, 21 Apr 2022 15:30:33 +0000

dfx-mgr (2021.2-0ubuntu0~xlnx1) jammy; urgency=medium

  * Initial Release.

 -- John Toomey <john.toomey@amd.com>  Wed, 20 Apr 2022 10:53:53 +0000
