=== debian/control ===
Source: dfx-mgr
Standards-Version: 4.6.0
Priority: optional
Section: utils
Maintainer: Loïc Minier <loic.minier@ubuntu.com>
Uploaders: John Toomey <john.toomey@amd.com>
Build-Depends: cmake, libdfx-dev, libwebsockets-dev, libdrm-dev, debhelper-compat (= 13)
Homepage: https://github.com/Xilinx/dfx-mgr

Package: libdfx-mgr1
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to configure Progammable Logic on Xilinx FPGAs - shared library
 DFX-MGR provides infrastructure to abstract configuration and hardware resource
 management for dynamic deployment of accelerator across different platforms.

Package: libdfx-mgr-dev
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, libdfx-mgr1 (= ${binary:Version})
Description: utility to configure Progammable Logic on Xilinx FPGAs - development files
 DFX-MGR provides infrastructure to abstract configuration and hardware resource
 management for dynamic deployment of accelerator across different platforms.

Package: dfx-mgr
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xlnx-default-bitstreams
Description: utility to configure Progammable Logic on Xilinx FPGAs - daemon and command-line tool
 DFX-MGR provides infrastructure to abstract configuration and hardware resource
 management for dynamic deployment of accelerator across different platforms.
