=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_STATIC_LIB=no \
		-DCMAKE_TOOLCHAIN_FILE=versal-linux \
		-DCMAKE_INCLUDE_PATH="../include" \
		-DCMAKE_LIBRARY_PATH="../opendfx-graph/drivers/XF2DFilter/src/lib/sw/aarch64-linux" \
		$@

override_dh_auto_install:
	dh_auto_install $@
	mv -f debian/tmp/usr/bin/dfx-mgrd-share debian/tmp/usr/bin/dfx-mgrd
	mv -f debian/tmp/usr/bin/dfx-mgr-client-share debian/tmp/usr/bin/dfx-mgr-client
