=== debian/changelog ===
dfx-mgr (2022.1+20220729+4135349-0ubuntu0xlnx2) jammy; urgency=medium

  * Switch from versal-linux to cross-linux-gcc platform; thanks
    John Toomey and dfx-mgr team.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 05 Aug 2022 15:50:26 +0000

dfx-mgr (2022.1+20220729+4135349-0ubuntu0xlnx1) jammy; urgency=medium

  * New upstream snapshot to pull in bug fixes.
    - Drop patch dfx-mgrd-fix-memory-leaks-remove-dead-code, included
      in upstream snapshot.
    - New patch fix-disabled-install to restore the make install target
      to get dfx-mgr-client include files installed properly.
    - Depend on fru-print for the firmware detection logic to figure
      the board name.
    - Install firmware detection script src/scripts/xlnx-firmware-detect
      into usr/bin as it's not installed by default
    - Install upstream systemd service file manually as it's not
      installed by default and drop the debian/ one.
    - For now, keep installing a default_firmware with a hardcoded name
      for Kria boards: upstream implemented firmware detection but it
      requires an updated fru-print.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 29 Jul 2022 08:47:21 +0000
