=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: dfx-mgr
 Architecture: arm64
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, fru-print
 Recommends: xlnx-default-bitstreams
 Description: utility to configure Progammable Logic on Xilinx FPGAs - daemon and command-line tool
  DFX-MGR provides infrastructure to abstract configuration and hardware resource
