## dfx-mgr 2022.1+20220908+acb025a

=== debian/changelog ===
dfx-mgr (2022.1+20220908+acb025a-0ubuntu0xlnx3) jammy; urgency=medium

  * Rebuild to pick up new libdfx SONAME.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 02 Oct 2022 11:19:51 +0000

dfx-mgr (2022.1+20220908+acb025a-0ubuntu0xlnx2) jammy; urgency=medium

  * Depends on latest version of fru-print to do default firmware detection
    - Remove default_firmware installation for this change

 -- Hon Ming Hui <honming.hui@canonical.com>  Mon, 26 Sep 2022 09:59:59 +0100

dfx-mgr (2022.1+20220908+acb025a-0ubuntu0xlnx1) jammy; urgency=medium

  * New upstream snapshot to pull in bug fixes.

 -- Hon Ming Hui <honming.hui@canonical.com>  Thu, 08 Sep 2022 23:28:41 +0100
