=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DWITH_STATIC_LIB=no \
-		-DCMAKE_TOOLCHAIN_FILE=versal-linux \
+		-DCMAKE_TOOLCHAIN_FILE=cross-linux-gcc \
 		-DCMAKE_INCLUDE_PATH="../include" \
 		-DCMAKE_LIBRARY_PATH="../opendfx-graph/drivers/XF2DFilter/src/lib/sw/aarch64-linux" \
 		$@
