=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 add_definitions (-DACAPD_INTERNAL)
 
 get_property (_ec_flags GLOBAL PROPERTY "PROJECT_EC_FLAGS")
-set (_deps "dfx" "websockets")
+set (_deps "dfx")
 
 if (WITH_SHARED_LIB)
   set (_lib ${PROJECT_NAME}-shared)
