=== src/sys/CMakeLists.txt ===
add_subdirectory (${PROJECT_SYSTEM})

# vim: expandtab:ts=2:sw=2:smartindent
