=== src/sys/linux/graph/CMakeLists.txt ===
add_subdirectory (layer0)
collect (PROJECT_LIB_HEADERS abstractGraph.h)
collect (PROJECT_LIB_HEADERS graph.h)
collect (PROJECT_LIB_HEADERS metadata.h)
collect (PROJECT_LIB_HEADERS scheduler.h)
collect (PROJECT_LIB_HEADERS jobScheduler.h)
collect (PROJECT_LIB_HEADERS aes128.h)
collect (PROJECT_LIB_HEADERS aes192.h)
collect (PROJECT_LIB_HEADERS aesFallback.h)
collect (PROJECT_LIB_HEADERS aes192Fallback.h)
#collect (PROJECT_LIB_HEADERS schedulerBypass.h)

collect (PROJECT_LIB_SOURCES abstractGraph.c)
collect (PROJECT_LIB_SOURCES graph.c)
collect (PROJECT_LIB_SOURCES metadata.c)
#collect (PROJECT_LIB_SOURCES main.c)
collect (PROJECT_LIB_SOURCES scheduler.c)
collect (PROJECT_LIB_SOURCES jobScheduler.c)
collect (PROJECT_LIB_SOURCES aes128.c)
collect (PROJECT_LIB_SOURCES aes192.c)
collect (PROJECT_LIB_SOURCES aesFallback.c)
collect (PROJECT_LIB_SOURCES aes192Fallback.c)
#collect (PROJECT_LIB_SOURCES schedulerBypass.c)
