=== src/sys/linux/graph/layer0/fallback/CMakeLists.txt ===
collect (PROJECT_LIB_HEADERS fallback.h) 

collect (PROJECT_LIB_SOURCES fallback.c)
