=== src/sys/linux/graph/layer0/sihaHLS/CMakeLists.txt ===
collect (PROJECT_LIB_HEADERS sihaHLSdm.h) 

collect (PROJECT_LIB_SOURCES sihaHLSdm.c)
