=== src/sys/linux/graph/layer0/softIO/CMakeLists.txt ===
collect (PROJECT_LIB_HEADERS softdm.h) 

collect (PROJECT_LIB_SOURCES softdm.c)
