=== debian/changelog ===
dfx-mgr (2023.2-0ubuntu1) noble; urgency=medium

  * Initial upload to Ubuntu archive (LP: #2048462)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 19 Feb 2024 17:44:20 +0100
