=== debian/control ===
Source: dfx-mgr
Standards-Version: 4.6.2
Priority: optional
Section: utils
Maintainer: Talha Can Havadar <talha.can.havadar@canonical.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libdfx-dev,
               libdrm-dev,
               libwebsockets-dev
Homepage: https://github.com/Xilinx/dfx-mgr
Rules-Requires-Root: no

Package: libdfx-mgr1
Architecture: arm64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Shared Library of dfx-mgr
 Utility to configure Programmable Logic on Xilinx FPGAs - shared library
 DFX-MGR provides infrastructure to abstract configuration and hardware resource
 management for dynamic deployment of accelerator across different platforms.
 .
 This package provides the shared library.

Package: libdfx-mgr-dev
Architecture: arm64
Section: libdevel
Depends: libdfx-mgr1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Shared Library Development Package of dfx-mgr
 Utility to configure Programmable Logic on Xilinx FPGAs - development files
 DFX-MGR provides infrastructure to abstract configuration and hardware resource
 management for dynamic deployment of accelerator across different platforms.
 .
 This package provides required development files such as headers etc.
 to use shared library.

Package: dfx-mgr
Architecture: arm64
Depends: freeipmi ( >= 1.6.9-2ubuntu0.22.04.2 ),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xlnx-default-bitstreams
Description: Utility Binaries of dfx-mgr
 Utility to configure Programmable Logic on Xilinx FPGAs - daemon and
 command-line tool DFX-MGR provides infrastructure to abstract configuration
 and hardware resource management for dynamic deployment of accelerator
 across different platforms.
 .
 This package provides the binaries of dfx-mgr tool.
