=== debian/watch ===
version=4
opts="mode=git,pgpmode=none" \
https://github.com/Xilinx/dfx-mgr.git \
refs/tags/xilinx_v([\d\.]+) debian uupdate
