## dfx-mgr 2024.2.0

=== example/CMakeLists.txt ===
#########################################################################
# Copyright (c) 2021, Xilinx Inc. and Contributors. All rights reserved.
# SPDX-License-Identifier: MIT
#########################################################################

collect(PROJECT_LIB_DEPS acapd)

add_subdirectory (sys)

# vim: expandtab:ts=2:sw=2:smartindent
