=== src/sys/linux/CMakeLists.txt ===
--- 
+++ 
@@ -18,5 +18,4 @@
 collect (PROJECT_LIB_SOURCES print.c)
 collect (PROJECT_LIB_SOURCES shm.c)
 collect (PROJECT_LIB_SOURCES shell.c)
-add_subdirectory (graph)
