=== debian/changelog ===
dfx-mgr (2024.2.0-0ubuntu1) questing; urgency=medium

  * New upstream version 2024.2.0 (LP: #2098945)
    - debian: add gbp.conf file
    - d/watch: update for new version tagging in upstream
    - update soname for libdfx-mgr1 to libdfx-mgr2 due to breaking API changes

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 02 May 2025 18:41:54 +0000
