=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
                debhelper-compat (= 13),
                libdfx-dev,
                libdrm-dev,
+               libsystemd-dev,
                libwebsockets-dev
 Homepage: https://github.com/Xilinx/dfx-mgr
 Rules-Requires-Root: no
 
-Package: libdfx-mgr1
+Package: libdfx-mgr2
 Architecture: arm64
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -25,7 +26,7 @@
 Package: libdfx-mgr-dev
 Architecture: arm64
 Section: libdevel
-Depends: libdfx-mgr1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libdfx-mgr2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Shared Library Development Package of dfx-mgr
  Utility to configure Programmable Logic on Xilinx FPGAs - development files
  DFX-MGR provides infrastructure to abstract configuration and hardware resource
