=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -15,4 +16,3 @@
 	dh_auto_install $@
 	mv -f debian/tmp/usr/bin/dfx-mgrd-share debian/tmp/usr/bin/dfx-mgrd
 	mv -f debian/tmp/usr/bin/dfx-mgr-client-share debian/tmp/usr/bin/dfx-mgr-client
-
