=== debian/watch ===
version=4
opts="mode=git,pgpmode=none" \
https://github.com/Xilinx/dfx-mgr.git \
refs/tags/([\d\.]+) debian uupdate
